Retrieves the company with the specified key

Request Information

URI Parameters :

NameDescriptionTypeAdditional information
id

globally unique identifier

Required

Body Parameters :

None.

Response Information

Resource Description :

IHttpActionResult

company
NameDescriptionTypeAdditional information
id

Primary Key

globally unique identifier

Required

is_client

SALES : Indicate if can be used for ordering

boolean
is_supplier

SERVICES : indicate if this company is a supplier

boolean
archived

Archive this company to not have it anymore on the search

boolean
name

string

Required

Max length: 64

notes

Notes/Remark field

string
create_date

Creation date+time

date
sales_territory_id

Territory of the company (Sales+Services).If more than one sales_territory exists, then it must be filled

globally unique identifier
sales_territory_code

Embedded entity "sales_territory" using ERP PK when adding/updating company

string
sales_territory

Embedded entity "sales_territory" using node when adding/updating company

sales_territory
marketing_segment_id

Marketing Segment of the company (Sales (Visit frequency logic) +Services (Planning Jobs To Be Planned) )

globally unique identifier
marketing_segment_code

Embedded entity "marketing_segment" using ERP PK when adding/updating company

string
marketing_segment

Embedded entity "marketing_segment" using node when adding/updating company

marketing_segment
sales_organization_id

Organization on which belongs the company.If more than one sales_organization exists, then it must be filled

globally unique identifier
sales_organization_code

Embedded entity "sales_organization" using ERP PK when adding/updating company

string
sales_organization

Embedded entity "sales_organization" using node when adding/updating company

sales_organization
company_sales_status_code

Foreign key of company_sales_status using code. Use "Normal,CreditRisk, BlockedbyCM or OrderBlocked"

string
vat_reg_code

VAT number

string

Max length: 50

is_working_address

Services : If False, you cannot create project/installation on this company.Default=true

boolean
parent_id

Reference to a parent company (in case of Child/Parent) when adding/updating company

globally unique identifier
parent_company_code

Embedded entity "company" for parent (in case of Child/Parent) using ERP PK when adding/updating company

string
parent_company

Embedded entity "company" for parent (in case of Child/Parent) when adding/updating company

company
phone

Phone number of the company

string

Max length: 50

fax

Fax number of the company

string

Max length: 50

url

URL of the company website

string

Max length: 255

email

email

string

Max length: 250

street

Address:Street

string

Max length: 100

street_number

Address:Street Number. If your ERP doesn't have this field, then only use field "street" and disable the street number on Odyssee/Admin/Impl Settings/Global Settings:Hide Street Number

string

Max length: 50

city

Address:City

string

Max length: 50

zip

Address:Zip

string

Max length: 50

db_country_id

Address:Country

globally unique identifier
db_country_code

Address:CountryCode entity using international code when adding/updating company

string
feelist_id

FeeList activated for the company (On Service, Feelist determines the price of the invoicable timesheets)

globally unique identifier
feelist_reference_back_office

Embedded entity "feelist" using ERP PK when adding/updating company

string
feelist

Embedded entity "feelist" using node when adding/updating company

feelist
company_type_id

Company Type

globally unique identifier
company_type_name

Embedded entity "company_type" using ERP PK when adding/updating company

string
company_type

Embedded entity "company_type" using node when adding/updating company

company_type
db_language_id

Language of the company.If empty, will use the default on the system

globally unique identifier
db_language_code

Language code entity using international isocode when adding/updating company

string
code

Field used for Embedded entity (store there your ERP PK)

string

Max length: 50

article_price_label_id

Foreign key of article price label

globally unique identifier
article_price_label_code

Embedded entity "article price label" using ERP PK when adding/updating

string
article_price_label

Embedded entity "article price label" when adding/updating

article_price_label
db_payment_method_id

Embedded entity "db payment methods" using ERP PK when adding/updating company

globally unique identifier
db_payment_method_reference_back_office

Embedded entity "db payment methods" using ERP PK when adding/updating company

string
db_payment_methods

Embedded entity "db payment methods" using ERP PK when adding/updating company

db_payment_methods
company_sector_id

Foreign key to company_sector

globally unique identifier
company_sector_code

Embedded code for the company_sector using ERP PK when adding/updating

string
company_sector

Embedded entity for the company_sector using the key from an external system when adding/updating object

company_sector
is_lead

Indicate that company is not already a customer

boolean
is_subcontractor

For Service, that company is one of your subcontractors

boolean
latitude

Decimal coordonate for the latitude. (-1;-1) means invalid and (0;0) means not already geo-encoded

decimal number
longitude

Decimal coordonate for the longitude. (-1;-1) means invalid and (0;0) means not already geo-encoded

decimal number
street2

Additional information on the address not part of the postal address

string
bic_code

bic code

string
specialities

specialities

string
register_number

register_number

string
register_city

register_city

string
bankaccount

Bank account of the company.

string
mobile

Mobile number of the company

string

Max length: 50

service_manager_user_id

ID of the service manager. Auto selected user when creating location, installation. Used also inside communication and tags

globally unique identifier
service_manager_user_code

Embedded code of the service manager. Auto selected user when creating location, installation. Used also inside communication and tags

string
service_manager_user

Embedded entity of the service manager. Auto selected user when creating location, installation. Used also inside communication and tags

user
finance_manager_user_id

ID of the finance manager. Only used inside communication and tags

globally unique identifier
finance_manager_user_code

Embedded code of the finance manager. Only used inside communication and tags

string
finance_manager_user

Embedded entity of the finance manager. Only used inside communication and tags

user
account_manager_user_id

ID of the account manager. Only used inside communication and tags

globally unique identifier
account_manager_user_code

Embedded code of the account manager. Only used inside communication and tags

string
account_manager_user

Embedded entity of the account manager. Only used inside communication and tags

user
company_status_id

Company Status

globally unique identifier
invoice_email_to

Email to send invoice

string
modified_dateutc

Readonly system field managed by database, filled with GetUtcDate when adding,updating

date
id2

Internal ID (numeric)

integer

Response Formats

application/json, text/json

Sample:
{
  "id": "97d1443b-ac38-454d-9cea-8cc5bb564ee5",
  "is_client": true,
  "is_supplier": true,
  "archived": true,
  "name": "sample string 5",
  "notes": "sample string 6",
  "create_date": "2026-10-27T05:04:51.3203763+00:00",
  "sales_territory_id": "e0b179b4-22fc-4f2d-8951-255f17af6207",
  "sales_territory_code": "sample string 9",
  "sales_territory": {
    "id": "4123f2e8-0c47-4382-a4a5-1ebbdd53bfb8",
    "code": "sample string 2",
    "description": "sample string 3",
    "sales_organization_id": "2a69e2b5-1038-461b-bfce-54c104abf656",
    "sales_organization_code": "sample string 5",
    "sales_organization": {
      "id": "fff7d363-1efd-4245-a9dc-ce02d4be8eb3",
      "code": "sample string 2",
      "name": "sample string 3",
      "description": "sample string 4",
      "db_country_id": "93cb320f-82c7-4455-8797-57c64ed0855a",
      "db_currency_id": "18161e99-771f-419c-80e4-c539b11d774d",
      "db_language_id": "4f8d9ae6-e543-41ac-b387-86c8c0196393",
      "accountancy_code": "sample string 8",
      "archived": true,
      "default_unit_of_measure_system_type": "sample string 10",
      "street": "sample string 11",
      "street2": "sample string 12",
      "street_number": "sample string 13",
      "zip": "sample string 14",
      "city": "sample string 15",
      "email": "sample string 16",
      "phone": "sample string 17",
      "fax": "sample string 18",
      "url": "sample string 19",
      "vat_reg_code": "sample string 20",
      "modified_dateutc": "2026-10-27T05:04:51.3203763+00:00"
    },
    "modified_dateutc": "2026-10-27T05:04:51.3203763+00:00"
  },
  "marketing_segment_id": "176c1a8a-7825-47f3-8f58-62da99cb881b",
  "marketing_segment_code": "sample string 11",
  "sales_organization_id": "fccb5b5f-8e71-4f2c-91a5-2ee62c372d06",
  "sales_organization_code": "sample string 13",
  "company_sales_status_code": "sample string 14",
  "vat_reg_code": "sample string 15",
  "is_working_address": true,
  "parent_id": "5b6dca99-84b5-41fe-ab51-830ae53c595d",
  "parent_company_code": "sample string 18",
  "phone": "sample string 19",
  "fax": "sample string 20",
  "url": "sample string 21",
  "email": "sample string 22",
  "street": "sample string 23",
  "street_number": "sample string 24",
  "city": "sample string 25",
  "zip": "sample string 26",
  "db_country_id": "84354273-c600-4a1b-bd0d-5ce5d2a29e94",
  "db_country_code": "sample string 28",
  "feelist_id": "6f00414d-025f-435f-a17c-bdc58ae58be2",
  "feelist_reference_back_office": "sample string 30",
  "feelist": {
    "id": "b5ce15c4-a82f-4838-a458-c85468d21c1a",
    "name": "sample string 2",
    "description": "sample string 3",
    "is_default": true,
    "default_price": 1.0,
    "sales_organization_id": "555109a5-5ad4-40c9-92c2-2a89a7ddb78e",
    "sales_organization_code": "sample string 6",
    "reference_back_office": "sample string 7",
    "modified_dateutc": "2026-10-27T05:04:51.3203763+00:00",
    "db_currency_id": "1f3fc4fc-7e92-40bb-8eeb-779a0db0a5b9",
    "db_currency_code": "sample string 10"
  },
  "company_type_id": "d153ced4-bcd4-443d-8bd5-a0cd6055c5c5",
  "company_type_name": "sample string 32",
  "company_type": {
    "id": "7d79db33-8a2c-415d-802b-0a443521890f",
    "name": "sample string 2",
    "description": "sample string 3",
    "sales_organization_id": "f53d64cc-45ad-4454-ab41-07a2579ee643",
    "sales_organization_code": "sample string 5"
  },
  "db_language_id": "894c19f9-4ffa-4948-a97b-6e750945373c",
  "db_language_code": "sample string 34",
  "code": "sample string 35",
  "article_price_label_id": "bb23ab1e-d5d3-4654-a25b-1025501442cb",
  "article_price_label_code": "sample string 37",
  "db_payment_method_id": "69fd4977-81a8-424c-b695-f093d38c3060",
  "db_payment_method_reference_back_office": "sample string 39",
  "db_payment_methods": {
    "id": "73d66788-2871-428b-9e35-c4d099d1bb46",
    "name": "sample string 2",
    "description": "sample string 3",
    "reference_back_office": "sample string 4",
    "activated": true,
    "modified_dateutc": "2026-10-27T05:04:51.3203763+00:00"
  },
  "company_sector_id": "a2bc70c7-177b-460f-9496-e815a08156df",
  "company_sector_code": "sample string 41",
  "is_lead": true,
  "is_subcontractor": true,
  "latitude": 1.0,
  "longitude": 1.0,
  "street2": "sample string 44",
  "bic_code": "sample string 45",
  "specialities": "sample string 46",
  "register_number": "sample string 47",
  "register_city": "sample string 48",
  "bankaccount": "sample string 49",
  "mobile": "sample string 50",
  "service_manager_user_id": "af6efe8c-318a-4d28-a816-be426154583a",
  "service_manager_user_code": "sample string 52",
  "finance_manager_user_id": "e4b8160c-7fb3-4b82-acd4-912ff28e9b01",
  "finance_manager_user_code": "sample string 54",
  "account_manager_user_id": "e51dd4d0-9a6d-424f-a0f0-038c8ea71d91",
  "account_manager_user_code": "sample string 56",
  "company_status_id": "68ac5d5e-777e-45dc-9fb7-b85ca9ae6b0a",
  "invoice_email_to": "sample string 58",
  "modified_dateutc": "2026-10-27T05:04:51.3203763+00:00",
  "id2": 60
}